commit e99a56632a2f3ef5c166c67024e574686342fc75
Author: Ondrej Holy <oholy@redhat.com>
Date:   2015-03-16

    Update NEWS for 1.22.4 release

M	NEWS

commit 3dbc0461106413de58d7bf2c4611d9ae666fdbca
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2015-03-15

    Updated Slovenian translation

M	po/sl.po

commit 1cba1b1ef18d682ee9a24493d2003cda8713f50b
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:	2015-03-14

    Added Bosnian translation

M	po/LINGUAS
A	po/bs.po

commit 7a7e338f6545903660fb2f6d392b2f5971983163
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2015-03-14

    Updated Hungarian translation

M	po/hu.po

commit 35e3ab67a31c777735db9994189d6b2071dfee38
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2015-03-14

    Updated Lithuanian translation

M	po/lt.po

commit c864e2af3621f5cb3c195117b852848124f92082
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2015-03-13

    Updated Italian translation

M	po/it.po

commit bc098907a260abd15f5722b56b7a7ad0cb46b5f4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-03-12

    Updated Polish translation

M	po/pl.po

commit 1d464f652f026c14005fa864ae1c7d5d33b7d336
Author: Marek Černocký <marek@manet.cz>
Date:	2015-03-12

    Updated Czech translation

M	po/cs.po

commit 1ac59714428a8a4267396b45d62532f40fa77120
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-03-01

    ftp: Prevent segfault when unmounting

    If a job is waiting for a connection in
    g_vfs_ftp_task_acquire_connection and the backend is force unmounted,
    the queue is freed, and the function neither gets a connection nor
    sets an error message which causes an issue later.

    To fix this, set an error message if the queue is freed.

    https://bugzilla.gnome.org/show_bug.cgi?id=653042

M	daemon/gvfsftptask.c

commit d843f7a94ae67546a1f27ac2cc766d6c66e4ae7e
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:	2015-03-09

    afc: Fix force unmount of devices

    When unplugging an afc device without unmounting it first, the
    corresponding gvfsd-afc process does not go away in spite of the
    exit(1) workaround added for bgo#708288.

    This happens because idevice_event_unsubscribe() in called from the
    thread where the _idevice_event_cb() runs in. libimobiledevice
    (through
    libusbmuxd) creates a thread to watch for device events, and calls the
    idevice_event_cb_t from that thread. idevice_event_unsubscribe() then
    forcfully kills that thread (see usbmuxd_unsubscribe() in libusbmuxd),
    so exit(1) code after the call to idevice_event_unsubscribe()
    never gets
    a chance to run.

    Moving the call to idevice_event_unsubscribe() and the
    g_vfs_backend_force_unmount() call to run in the main loop through
    g_idle_add() avoids this issue, and allows the code handling force
    unmounts to run as expected.

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=708288

M	daemon/gvfsbackendafc.c

commit c84c1c5824ef82fb6ecd11f7c444dbe86b433528
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-02-28

    ftp: Fix dir listing for windows long dates

    Fix from upstream:
    http://hg.mozilla.org/mozilla-central/rev/e10a2ca070e6
    https://bugzilla.mozilla.org/show_bug.cgi?id=1061898

    https://bugzilla.gnome.org/show_bug.cgi?id=601583

M	daemon/ParseFTPList.c

commit d2a8dcbcb5dcdad45a8858e3f7e48a3a25aefac4
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-02-28

    ftp: Fix FTP date parsing of midnight for DOS format

    Fix from upstream:
    http://hg.mozilla.org/mozilla-central/rev/2c21b94a7775
    https://bugzilla.mozilla.org/show_bug.cgi?id=961346

    https://bugzilla.gnome.org/show_bug.cgi?id=601583

M	daemon/ParseFTPList.c

commit a62a4cc54dcb1a4cc0613c68b4ef4a8260e28b06
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-02-28

    ftp: Update license of ParseFTPList

    Synced from upstream commit:
    http://hg.mozilla.org/mozilla-central/rev/f4157e8c4107
    https://bugzilla.mozilla.org/show_bug.cgi?id=716478

    https://bugzilla.gnome.org/show_bug.cgi?id=601583

M	daemon/ParseFTPList.c

commit 125df9c92a6671f69a1d79094de676c7124d0691
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-02-28

    ftp: Fix directory parsing error on AIX.

    Fix from upstream:
    http://hg.mozilla.org/mozilla-central/rev/b623418ab1de
    https://bugzilla.mozilla.org/show_bug.cgi?id=543805

    https://bugzilla.gnome.org/show_bug.cgi?id=601583

M	daemon/ParseFTPList.c

commit 14369db2a8fc4f2a33e457a766b077ed6e2a3557
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-02-27

    afp: exit silently if connection closed

    Commit c15ec62 introduced exit for G_IO_ERROR_CLOSED, however we
    should check also for G_IO_ERROR_CONNECTION_CLOSED. Unfortunatelly
    this error code was introduced in newer version of GLib then
    available,
    therefore use g_warning instead of g_error to avoid abrt reports.

    https://bugzilla.gnome.org/show_bug.cgi?id=710490

M	daemon/gvfsafpconnection.c

commit c546e88bd415030553d9c9d36799cdae44900151
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2015-02-14

    Updated Slovenian translation

M	po/sl.po

commit 07356a7f3e08e35033b76dcc34de74bcfa27465f
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-01-28

    daemon: register mount tracker skeleton by bus_acquired_handler

    Mount tracker skeleton is registered by name_acquired_handler
    currently, however it is too late. Therefore e.g. mount operation
    could fail for the first time with the following error:
    No such interface `org.gtk.vfs.MountTracker' on object at path
    /org/gtk/vfs/mounttracker

M	daemon/main.c

commit a4f175b90d3495a7b41751ab5eeb6f09462a5595
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-01-31

    metadata: Free objects on error

    https://bugzilla.gnome.org/show_bug.cgi?id=743653

M	metadata/meta-daemon.c

commit 94db801c8251893b89751fb87ed2501dbe8078e6
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-01-28

    metadata: Export skeleton before name is acquired

    Exporting the skeleton after acquiring the name is racy, as documented
    in the GIO docs for g_bus_own_name.

    https://bugzilla.gnome.org/show_bug.cgi?id=743653

M	metadata/meta-daemon.c

commit a4400c2273277de1911af1efee7fd9f67279b44d
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-10-13

    programs: install completion files for all commands

    bash-completion has new completion loading code since version
    1.90. The
    completion files are loaded on demand, with
    ${completionsdir}/${command}
    being sourced when a matching command is typed. This requires the
    completion files to be named for all commands.

    https://bugzilla.gnome.org/show_bug.cgi?id=738369

M	configure.ac
M	programs/Makefile.am
A	programs/completion/Makefile.am
R096	programs/completion/gvfs	programs/completion/gvfs-cat

commit c88afb9ee1db38122ef62b3bfa9d46e088eca0c8
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-10-13

    programs: allow bash completition for gvfs-rename and
    gvfs-set-attribute

    https://bugzilla.gnome.org/show_bug.cgi?id=738369

M	programs/completion/gvfs

commit 38f2ea9e5713f0660337720a4ab993d1798b6ba8
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-01-26

    mtp: fix query_fs_info crash when file not found

    The function isn't returned after g_vfs_job_failed_literal, therefore
    g_vfs_job_succeeded is executed and it fails on assert.

    https://bugzilla.gnome.org/show_bug.cgi?id=743580

M	daemon/gvfsbackendmtp.c

commit abc69427fc9985f6bc1ebe9a14d645f4805deca4
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-01-21

    dav: don't unescape the uri twice

    path_equal tries to unescape path before comparing. Unfortunately
    this function is used also for already unescaped paths. Therefore
    unescaping can fail. This commit reverts changes which was done in
    commit 50af53d and unescape just uris, which aren't unescaped yet.

    https://bugzilla.gnome.org/show_bug.cgi?id=743298

M	daemon/gvfsbackenddav.c

commit f34477cccafcb5484dbac85419368a81c4001271
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2015-01-17

    Updated Lithuanian translation

M	po/lt.po

commit fe21d6ada62b71b00588cc5da840dd18592d1401
Author: Siteshwar Vashisht <svashish@redhat.com>
Date:	2015-01-14

    Do not call NULL callbacks in eject_wrapper_callback()

M	monitor/proxy/gproxymount.c

commit 77b263f0df7337d65c356d9c1db6e4a0e4a0e170
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2015-01-13

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 3d64822568db96ff2588fc4584ad52c52df1b422
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	2015-01-10

    Updated German translation

M	po/de.po

commit 3faab82a218ee982eff77f6f157e34a938c4117c
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2015-01-07

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 8826c44d4923b29c7a4f12f2baf297b2abfc7c5a
Author: Marek Černocký <marek@manet.cz>
Date:	2015-01-07

    Updated Czech translation

M	po/cs.po

commit 543bda6dc2b015713bc6b4d35c1836a4a1eee39a
Author: Andika Triwidada <andika@gmail.com>
Date:	2015-01-07

    Updated Indonesian translation

M	po/id.po

commit 2345e3474d16eb9e15e22b351638a097d1975e3d
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-01-07

    Post release version bump

M	configure.ac

commit 7df9c8f00011a9cd1148f03363cf1ed3369e4559
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	2015-01-07

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit f5f257f4d52c93df205687f61008132ebffc7dbf
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2015-01-06

    Updated Hungarian translation

M	po/hu.po

commit 1fdbce6e46483874638e5559d6f8b1d60c19fa57
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-01-06

    Update NEWS for 1.22.3 release

M	NEWS

commit 2d256ab0615eb7dd9a9851a2bbebf6675f1e2893
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-01-06

    Updated Polish translation

M	po/pl.po

commit 18406e7d02596364a799beec1ef9d08c0493ea96
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2014-12-20

    client: Strip remote dbus error when setting metadata fails

    Without this, if the function fails, the error presented to the
    user looks
    like:

    GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._g_2dio_2derror_2dquark.Code1:
    Can't find metadata file /home/ross/.local/share/gvfs-metadata/home

    https://bugzilla.gnome.org/show_bug.cgi?id=598561

M	client/gdaemonvfs.c

commit cd13e26d6eb7f3fcc2a915afd3bd4dd9ee54392e
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-11-14

    metadata: don't crash if meta_tree_init fails

    It can fail when e.g. database file is corrupted or doesn't have
    correct permissions. This patch also adds warnings to be possible
    determine reason why initialization failed.

    It is based on patches from Matthew W. S. Bell and Ross Lagerwall.

    https://bugzilla.gnome.org/show_bug.cgi?id=598561

M	client/gdaemonfile.c
M	client/gdaemonvfs.c
M	metadata/meta-get-tree.c
M	metadata/metatree.c
M	metadata/metatree.h

commit dc8d6f1b73fb9a9f184cf8993825b92e619d0f63
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2014-12-26

    Updated Slovenian translation

M	po/sl.po

commit db69a9a223709dfb29ba97aa2c7268e42d3a6e74
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:	2014-12-24

    Updated Kannada translation

M	po/kn.po

commit af180ed85c01b9cf4c2c069a9ab8ca674ad3e2d8
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:	2014-12-12

    Updated Kannada translation

M	po/kn.po

commit b2c89ea0867cbe829fbc2ba923f6bf943cca02da
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2014-12-10

    mtp: Do not crash when debugging is turned on

    https://bugzilla.gnome.org/show_bug.cgi?id=741346

M	daemon/gvfsbackendmtp.c

commit b119f6f9560187bf8e99f2badaa06590301bdcd2
Author: Shantha kumar <shantha.thamizh@gmail.com>
Date:	2014-12-10

    Updated Tamil translation

M	po/ta.po

commit 8c04a8c920ee817173eca0d06441ae403599f1d8
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-11-18

    afc: fix wrong enum value

    Value of sbservices_error_t type is compared with INSTPROXY_E_SUCCESS
    from instproxy_error_t, SBSERVICES_E_SUCCESS should be used instead.
    However it isn't serious, because both constants have same value...

    It fixes following warning:
    gvfsbackendafc.c:262:21: warning: comparison between
    ‘sbservices_error_t’ and ‘enum <anonymous>’ [-Wenum-compare]
    if (G_LIKELY(cond == INSTPROXY_E_SUCCESS))

M	daemon/gvfsbackendafc.c

commit 634b12a093779aac626757ab41d91ef07d7ce251
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2014-09-28

    daemon: Set callback to avoid endless loop during unmount

    It is not possible to respond to unmount dialog after 2 sec timeout,
    because the callback isn't set properly. The dialog reopens every 2
    seconds until the daemon is killed.

    Because a dbus method is called every 2 seconds, we may get multiple
    replies (e.g. one normal reply and several error replies due to
    a closed
    connection).  Handle this by ignoring all but the first reply.

    Based on a patch by Ondrej Holy.

    https://bugzilla.gnome.org/show_bug.cgi?id=688471

M	daemon/gvfsbackend.c

commit 4cff08d1d9c458eb3ee46a4c4326626fffcaa7a8
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-09-11

    gvfsjobunmount: don't unmount if dialog was cancelled

    If the dialog about blocking processes was cancelled,
    G_IO_ERROR_FAILED_HANDLED will be returned and backend
    won't be unmounted.

    https://bugzilla.gnome.org/show_bug.cgi?id=710986

M	daemon/gvfsbackend.c
M	daemon/gvfsbackend.h
M	daemon/gvfsjobunmount.c

commit 643498c51747d2b0ff2290352afdac97a9771e02
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-11-24

    http: Report correct size for partial content msg

    Content length is wrongly used as file size for partial content
    messages (e.g. after seek), therefor length from range header has
    to be used instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=690226

M	daemon/gvfsbackendhttp.c

commit 1400bc33d9f7299da6d21390209d48aef6e9fcca
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2014-11-18

    Updated Greek translation

M	po/el.po

commit 4b85af0d4a7ad69773839bd248284beb80e4bcac
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2013-12-08

    client: Use the correct serial with file transfer cancellation

    When using Copy, Move, Push and Pull with progress callbacks, the
    progress callbacks increment the connection serial, so retrieve the
    serial immediately after the dbus method call so that the correct
    serial
    is used for cancellation.

    https://bugzilla.gnome.org/show_bug.cgi?id=720058

M	client/gdaemonfile.c
M	client/gvfsdaemondbus.c
M	client/gvfsdaemondbus.h

commit 87c9f6d80ac612caedb7b39b22b3d4ed2804bb0b
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2014-09-28

    gvfsjobunmount: Block new requests before calling unmount() on
    a thread

    Block new requests before calling unmount() on a separate thread to
    prevent a race where new jobs are received and processed while the
    unmount() is being executed.

    This is not necessary for try_unmount() because all the job
    handling is
    done on the same thread as the try_unmount() method and requests are
    blocked when the try_unmount() method completes.

    https://bugzilla.gnome.org/show_bug.cgi?id=710986

M	daemon/gvfsbackend.c
M	daemon/gvfsbackend.h
M	daemon/gvfsjobunmount.c

commit eb90d2e05404b2ad26c178a434687dbcd793d1f7
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-11-10

    Post release version bump

M	configure.ac

commit 66aaa6ff58da7587f9855df391064ee68d223f47
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-11-10

    Update NEWS for 1.22.2 release

M	NEWS

commit 910bbd3c3af8deb288d0848f7c7a2fa6cd642bac
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2014-10-21

    sftp: Retrieve the username from the secret store

    Retrieve the username from the secret store rather than simply
    using the
    default username with the retrieved password.  Without this,
    the backend
    does not correctly recall the login details of a non-default user when
    the username is not specified in the URI.

    E.g. if my username is "ross" and I stored the login details for
    "john",
    logging in with a URI of sftp://host/path should use john's details
    rather than john's password with ross as a username.

    If the username is specified directly, e.g. sftp://john@host/path,
    this
    already did work correctly (and should continue to).

    https://bugzilla.gnome.org/show_bug.cgi?id=736311

M	daemon/gvfsbackendsftp.c

commit 329c3ae2fb909a8ee1d0c65161c7885973a5f6ee
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2014-11-05

    Updated Ukrainian translation

M	po/uk.po

commit b34875f78f7cb314197e1deef85b426eb89e2bbe
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-11-03

    mtp: do not crash when device is unplugged

    Leak the mutex if the backend is force unmounted to avoid crash
    caused by abort(), when trying to clear already locked mutex.

    https://bugzilla.gnome.org/show_bug.cgi?id=739575

M	daemon/gvfsbackendmtp.c
M	daemon/gvfsbackendmtp.h

commit 8630d4af19dda3f0d9339bbb99e28b12c25497f2
Author: Bernd Homuth <dev@hmt.im>
Date:	2014-10-30

    Updated German translation

M	po/de.po

commit 65ab6cd961208e45eceaf6a9a6436c7411f302c1
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2014-10-24

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit d5422959048c7a659da7c74cfb66c60b16b00a4d
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	2014-10-23

    Updated Hungarian translation

M	po/hu.po

commit 637d2883f2e8f79ea2684e6a8befc4c1e875ca53
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2014-10-20

    goa: Fix a memory leak

    https://bugzilla.gnome.org/show_bug.cgi?id=738878

M	monitor/goa/goavolume.c

commit a01db6bc13cbb947c5ed3ddcaeeab10ebac2a364
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-10-20

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 23e2a98e048d3245410d3b1a70f4b6ef458abe98
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-10-18

    Updated Lithuanian translation

M	po/lt.po

commit 69dd639772bc089ba5cb41ffb64f57dfb4f3fb6a
Author: Marek Černocký <marek@manet.cz>
Date:	2014-10-18

    Updated Czech translation

M	po/cs.po

commit 9ca9bcc3aa3447c2500756da61a75c5b3c62accd
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-10-16

    Updated Indonesian translation

M	po/id.po

commit e667752f57e8e9ed957b582dd7028179552afdb2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-10-15

    Updated Spanish translation

M	po/es.po

commit 3e8d01f07431f4fcbfe858cbba316e5845109038
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2014-10-13

    man: Fix a typo in the gvfs-mime man page

M	man/gvfs-mime.xml

commit c269e106c744e29bc949eaa05b3c79aac14bc694
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-10-13

    Updated Polish translation

M	po/pl.po

commit 5dcdde6ba0824d9c1884cdfaeccb9c0de735a0c6
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-10-13

    Post release version bump

M	configure.ac

commit 5b206c7401582b69901c0520ea9ca105828250ba
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-10-13

    Update NEWS for 1.22.1 release

M	NEWS

commit 8a9604e0b2bfc18f1c12e0b8c341a264742855c2
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2014-10-13

    Updated Italian translation

M	po/it.po

commit d046efde05dd17439117efd0243ef533e3f29943
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2014-10-13

    Updated Galician translations

M	po/gl.po

commit 86a5d5749e4d45b785c46223b7e9ae0343057178
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2014-09-28

    daemon: Don't abort if jobs != NULL when finalizing

    Don't abort if there are outstanding jobs when finalizing.	This may
    happen if the backend is force unmounted.  Use a warning instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=710986

M	daemon/gvfsdaemon.c

commit 249b39be0a8aab252d7feb904e5c8e3efb6a567f
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2014-10-12

    Updated Latvian translation

M	po/lv.po

commit 0c308d142640a13ef626d9d0e8d3064435774d46
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2014-10-11

    Updated Korean translation

M	po/ko.po

commit aeb106a17e18ed6176c4b281dd210d5b9068a0d8
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2014-10-10

    Updated gujarati translations

M	po/gu.po

commit eb05b133ff5dd84086f66d1a922a1d8518aa8065
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2014-10-10

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit d043b037184dde405546a87fc68aaed63f5d51e7
Author: Stas Solovey <whats_up@tut.by>
Date:	2014-10-09

    Updated Russian translation

M	po/ru.po

commit e03d89c7945def2064fbc2d8cfc4c6a1c45d07a1
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2014-10-09

    Updated Assamese translation

M	po/as.po

commit 0821b838392fb9320705191979d2f301b0141076
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-10-08

    gvfschannel: don't abort when finalizing

    Remove g_assert (channel->priv->backend_handle == NULL), because it
    could happen when backend is force unmounted.

    https://bugzilla.gnome.org/show_bug.cgi?id=737842

M	daemon/gvfschannel.c

commit 40d9ccecde274ccb8e83829a3119c3fcaa00c047
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-10-08

    gvfschannel: do not call close job if channel is blocked

    We don't want to call new jobs when backend is force unmounted.

    https://bugzilla.gnome.org/show_bug.cgi?id=737842

M	daemon/gvfschannel.c

commit 80bc94e7e5bdebede7473209ca5f7180fd536ded
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-10-08

    gvfschannel: do not crash when channel is blocked

    Backend could crash, when channel is blocked and got new request
    unless current job is set. Therefor send_reply_cb is called
    without current job and cause following error:

    Program received signal SIGSEGV, Segmentation fault.
    0x00007ffff7de12a5 in g_vfs_job_emit_finished (job=0x0) at
    gvfsjob.c:322
    322      g_assert (!job->finished);

    To fix the problem be sure error job is set.

    https://bugzilla.gnome.org/show_bug.cgi?id=737842

M	daemon/gvfschannel.c

commit c08bf598dd2723a6ea8d9f1a493a959df1239cd6
Author: Philip Langdale <philipl@cloudera.com>
Date:	2014-09-11

    MTP: Work around slow large file transfers to Android devices

    I've observed that on at least some Android devices, copying large
    files
    is very very slow. I don't know if this hardware or MTP stack specific
    but it's a very real phenomenon. Files under 4GB copy at normal
    speeds,
    as do copies from the device to the host at any size.

    To avoid this, we can avoid using SendObject and instead take
    advantage
    of the Android Direct I/O extensions.

    It may turn out to be desirable to make a similar change for
    GetObject,
    and/or < 4GB transfers.

    https://bugzilla.gnome.org/show_bug.cgi?id=736495

M	daemon/gvfsbackendmtp.c

commit 33cb19f5aeec85d3cdcb0245927a9f174466a327
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2014-10-05

    Updated Italian translation

M	po/it.po

commit 1f2d2952135a1304b0ed66da1d3d8f60f1e1c06e
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2014-09-27

    trash: Ignore G_FILE_MONITOR_EVENT_CHANGES_DONE_HINT

    Ignore G_FILE_MONITOR_EVENT_CHANGES_DONE_HINT when to prevent
    generating
    a spurious warning about unsupported operations on the trash dir.

    https://bugzilla.gnome.org/show_bug.cgi?id=737473

M	daemon/trashlib/trashdir.c

commit 22c7d972914fb62c60e260ad0da86bcd595745c3
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-09-16

    client: increase dbus proxy timeout for unmount

    Default timeout is too short and error "Timeout was reached" could be
    shown if user don't interact with unmount dialog. The patch sets the
    timeout to 30 minutes as it is set on server side.

    https://bugzilla.gnome.org/show_bug.cgi?id=710986

M	client/gdaemonmount.c

commit 60f96a4cdd942fcb52e470cbb1437f6eafdc3f04
Author: Ondrej Holy <oholy@redhat.com>
Date:	2014-09-25

    trash: do not care about mount points without read access

    The g_file_monitor_directory polls the directory every 2 seconds if
    we try to monitor mount points without read access. It prevents autofs
    mounts from being expired and causes high system load. Don't watch
    mount points without read access at all to fix the problem.

    Based on the patch by Scott Mayhew.

    https://bugzilla.gnome.org/show_bug.cgi?id=737371

M	daemon/trashlib/trashwatcher.c

commit fcffe33ba57f968e2cb0073cb201007808155702
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2014-09-13

    Allow cancelling jobs that have sent a reply but not finished

    A few job types (mount, unmount and enumerate) can be in a state where
    sent_reply is TRUE but finished is FALSE because they override
    send_reply.  If the peer connection closes during this period, the
    daemon hangs in peer_connection_closed because the job still
    exists but
    cannot be cancelled.  To fix this, allow cancelling jobs that
    have sent
    a reply but not yet finished.

    This can be reproduced fairly easily by doing a search on an sftp
    mount
    in Nautilus.

    https://bugzilla.gnome.org/show_bug.cgi?id=720860

M	daemon/gvfsjob.c

commit c6200ea2184b63016fe573155b0480ba88069456
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2014-07-30

    afp: Use UTF-8 for volume names

    Use UTF-8 for volume names since volume names are encoded as UTF-8 for
    protocol versions 3.0 and higher.  This prevents seeing volume names
    like: "John‚Äôs Public Folder"

    Since the volume name comes as a pascal string with UTF-8 encoding,
    extend the function to read pascal strings with the ability to read
    pascal strings encoded as UTF-8.

    https://bugzilla.gnome.org/show_bug.cgi?id=733996

M	daemon/gvfsafpconnection.c
M	daemon/gvfsafpconnection.h
M	daemon/gvfsafpserver.c
M	daemon/gvfsafputils.h

commit fab432937b4bfcd56c07c8be3e14335612bd42f3
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2014-09-15
